
from mediator import mediator

import os
import pygame

def gameStartHandler(event):
    try:
        pygame.mixer.music.load(os.path.join('data','sound','theme.mp3'))
        pygame.mixer.music.play(1000000)
    except pygame.error:
        print "Warning: Cannot play the sound file - theme.mp3."

def gameQuitHandler(event):
    pygame.mixer.music.fadeout(1000)

if (pygame.mixer):
    mediator.addListener('init_game', gameStartHandler)
    mediator.addListener('quit_game', gameQuitHandler)
else:
    print "Warning: your system doesn't support sound. :("
